<?xml version="1.0"?>
<!DOCTYPE benchmark PUBLIC "+//IDN sosy-lab.org//DTD BenchExec benchmark 1.9//EN" "https://www.sosy-lab.org/benchexec/benchmark-2.3.dtd">
<benchmark tool="esbmc" timelimit="15 min" memlimit="15 GB" cpuCores="8">

<require cpuModel="Intel Xeon E3-1230 v5 @ 3.40 GHz"/>

  <resultfiles>**/*.graphml</resultfiles>
  
  <option name="--concurrencyFlagPredictor">DT2.sav</option>

<rundefinition name="SV-COMP23_unreach-call">
  <tasks name="ConcurrencySafety-Main">
    <includesfile>../sv-benchmarks/c/ConcurrencySafety-Main.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
  </tasks>
</rundefinition>

<rundefinition name="SV-COMP23_no-data-race">
  <tasks name="NoDataRace-Main">
    <includesfile>../sv-benchmarks/c/NoDataRace-Main.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/no-data-race.prp</propertyfile>
  </tasks>
</rundefinition>

<rundefinition name="SV-COMP23_no-overflow">
  <tasks name="ConcurrencySafety-NoOverflows">
    <includesfile>../sv-benchmarks/c/ConcurrencySafety-NoOverflows.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/no-overflow.prp</propertyfile>
  </tasks>
</rundefinition>

<rundefinition name="SV-COMP23_valid-memsafety">
  <tasks name="ConcurrencySafety-MemSafety">
    <includesfile>../sv-benchmarks/c/ConcurrencySafety-MemSafety.set</includesfile>
    <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
  </tasks>
</rundefinition>

</benchmark>

